on: 
  push:
    branches:
      - master
jobs:
  build:
    runs-on: ubuntu-latest
    steps:
      - uses: actions/checkout@v4
      - uses: https://git.madhouse-project.org/actions/nix/install@main
      - name: Run Nix build
        run: nix build --extra-experimental-features nix-command --extra-experimental-features flakes
      - uses: actions/upload-artifact@v3
        with: 
          name: bericht
          path: result
